/* fichier calc.l */

%{
#include <string.h>
#include "parseur.tab.h"
%}            
%%
[0-9]+          {yylval.num=atoi(yytext); return NOMBRE;}
[ \t\n]        ; /* ignore les blancs et tabulations */
[a-z][a-z]+     {strcpy(yylval.op , yytext); return OP;}
[a-z]           {yylval.tp =*yytext; return TYPE;}
"MAX"           {return MAX;}
"CODEMAX"       {return CODEMAX;}
"CODE"          {return CODE;}
"RAM"           {return RAM;}
"HP"            {return HP;}
"SP"            {return SP;}
"MP"            {return MP;}
"PC"            {return PC;}
"END"           {return END;}             
. return yytext[0];
%%

#include <stdio.h>
#include <stdlib.h>

commenteof()
{
  fprintf (stderr, "unexpected EOF inside comment");
  exit (1);
}

yywrap ()
{
  return (1);
}